Get a Deposit Customer (by customerId)
curl --request GET \
--url https://api.hel.io/v1/deposits/{depositId}/customer/{customerId}/api-key \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/deposits/{depositId}/customer/{customerId}/api-key"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/deposits/{depositId}/customer/{customerId}/api-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "695becf08afd9fceb3767369",
"deposit": "695beb0732b11192df71015b",
"token": "984a783c-d246-4199-9cc3-bdffab9e6ada",
"customerId": "test12",
"customerEmail": "jesse@helio.io",
"recipientPublicKeys": [
"7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW"
],
"disabled": false
}{
"message": "Api key or token is invalid",
"code": 401
}Customers
Get a Deposit Customer (by customerId)
Retrieves the customer associated with a specific deposit using the provided depositId and customerId.
GET
/
v1
/
deposits
/
{depositId}
/
customer
/
{customerId}
/
api-key
Get a Deposit Customer (by customerId)
Note: When using the production environment at moonpay.hel.io, set your API endpoint to
api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.Authorizations
Authentication using JWT token
Path Parameters
The unique ID of the deposit.
The unique ID of the customer associated with the deposit.
Query Parameters
Your API key, which can be generated from the Helio Dashboard settings page.
